Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class ResourceHandlerImpl

    java.lang.Object
      javax.faces.application.ResourceHandler
          javax.faces.application.ResourceHandlerWrapper
              org.richfaces.resource.ResourceHandlerImpl

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.application.ResourceHandler>

    public class ResourceHandlerImpl

extends javax.faces.application.ResourceHandlerWrapper

Since:
  4.0
Author:
  Nick Belaevski

Field Summary
`static String` | `HANDLER_START_TIME_ATTRIBUTE`
`static String` | `RESOURCE_CACHE_NAME`
`static String` | `RICHFACES_RESOURCE_IDENTIFIER`

Fields inherited from class javax.faces.application.ResourceHandler
`LOCALE_PREFIX, RESOURCE_EXCLUDES_DEFAULT_VALUE, RESOURCE_EXCLUDES_PARAM_NAME, RESOURCE_IDENTIFIER`

Constructor Summary
`ResourceHandlerImpl(javax.faces.application.ResourceHandler defaultHandler)`

Method Summary
`javax.faces.application.Resource` | `createResource(String resourceName)`
`javax.faces.application.Resource` | `createResource(String resourceName, String libraryName)`
`javax.faces.application.Resource` | `createResource(String resourceName, String libraryName, String contentType)`
`String` | `getRendererTypeForResourceName(String resourceName)`
`static String` | `getResourcePathFromRequest(javax.faces.context.FacesContext context)`
`javax.faces.application.ResourceHandler` | `getWrapped()`
`void` | `handleResourceRequest(javax.faces.context.FacesContext context)`
`boolean` | `isResourceRequest(javax.faces.context.FacesContext context)`
`protected boolean` | `isThisHandlerResourceRequest(javax.faces.context.FacesContext context)`
`boolean` | `libraryExists(String libraryName)`
`static void` | `sendResourceNotFound(javax.faces.context.FacesContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RICHFACES_RESOURCE_IDENTIFIER

    public static final String RICHFACES_RESOURCE_IDENTIFIER

See Also:
  Constant Field Values

### RESOURCE_CACHE_NAME

    public static final String RESOURCE_CACHE_NAME

See Also:
  Constant Field Values

### HANDLER_START_TIME_ATTRIBUTE

    public static final String HANDLER_START_TIME_ATTRIBUTE

Constructor Detail

### ResourceHandlerImpl

    public ResourceHandlerImpl(javax.faces.application.ResourceHandler defaultHandler)

Method Detail

### getResourcePathFromRequest

    public static String getResourcePathFromRequest(javax.faces.context.FacesContext context)

### isThisHandlerResourceRequest

    protected boolean isThisHandlerResourceRequest(javax.faces.context.FacesContext context)

### isResourceRequest

    public boolean isResourceRequest(javax.faces.context.FacesContext context)

  Overrides:
    `isResourceRequest` in class `javax.faces.application.ResourceHandlerWrapper`

### sendResourceNotFound

    public static void sendResourceNotFound(javax.faces.context.FacesContext context)

### handleResourceRequest

    public void handleResourceRequest(javax.faces.context.FacesContext context)
                               throws IOException

  Overrides:
    `handleResourceRequest` in class `javax.faces.application.ResourceHandlerWrapper`
  Throws:
    `IOException`

### createResource

    public javax.faces.application.Resource createResource(String resourceName,
                                                           String libraryName,
                                                           String contentType)

  Overrides:
    `createResource` in class `javax.faces.application.ResourceHandlerWrapper`

### createResource

    public javax.faces.application.Resource createResource(String resourceName,
                                                           String libraryName)

  Overrides:
    `createResource` in class `javax.faces.application.ResourceHandlerWrapper`

### createResource

    public javax.faces.application.Resource createResource(String resourceName)

  Overrides:
    `createResource` in class `javax.faces.application.ResourceHandlerWrapper`

### getRendererTypeForResourceName

    public String getRendererTypeForResourceName(String resourceName)

  Overrides:
    `getRendererTypeForResourceName` in class `javax.faces.application.ResourceHandlerWrapper`

### libraryExists

    public boolean libraryExists(String libraryName)

  Overrides:
    `libraryExists` in class `javax.faces.application.ResourceHandlerWrapper`

### getWrapped

    public javax.faces.application.ResourceHandler getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.application.ResourceHandler>`
  Overrides:
    `getWrapped` in class `javax.faces.application.ResourceHandlerWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.